Package org.eclipse.graphiti.pattern.mapping

# Class StructureMappingSingle

java.lang.Object
org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
org.eclipse.graphiti.pattern.mapping.StructureMapping
org.eclipse.graphiti.pattern.mapping.StructureMappingSingle

All Implemented Interfaces:
  `IStructureMapping`, `IStructureMappingSingle`

public abstract class StructureMappingSingle extends StructureMapping implements IStructureMappingSingle
The Class StructureMappingSingle.

## Constructor Summary

Constructors
Constructor
Description
`StructureMappingSingle(IDataMapping dataMapping, IMappingProvider mappingProvider)`
Creates a new `StructureMappingSingle`.

## Method Summary

Modifier and Type
Method
Description
`ILinkCreationInfo`
`getLinkCreationInfo(Object mainBusinessObject)`
Returns an array of business objects.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.StructureMapping

`getDataMapping`

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMapping

`getDataMapping`

## Constructor Details

### StructureMappingSingle

public StructureMappingSingle(IDataMapping dataMapping, IMappingProvider mappingProvider)
Creates a new `StructureMappingSingle`.

Parameters:
  `dataMapping` - the data mapping
  `mappingProvider` - the mapping provider

## Method Details

### getLinkCreationInfo

public ILinkCreationInfo getLinkCreationInfo(Object mainBusinessObject)
Description copied from interface: `IStructureMappingSingle`
Returns an array of business objects. This array of business objects will be linked with a pictogram element acting as placeholder in a pattern.

Specified by:
  `getLinkCreationInfo` in interface `IStructureMappingSingle`
Parameters:
  `mainBusinessObject` - this is the main business object of the current pattern
Returns:
  the business object